Get the results of the product transaction detail report

Body·
application/json
  • attributeDescription
    Type: string | null

    The product attribute description to filter by

  • batch
    Type: string | null

    The product batch to filter by

  • bestBeforeDate
    Type: string | nullFormat: date

    The product best before date to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • dateFrom
    Type: string | nullFormat: date
    deprecated

    The start date in the transaction date range

  • dateTo
    Type: string | nullFormat: date
    deprecated

    The end date in the transaction date range

  • expiryDate
    Type: string | nullFormat: date

    The product expiry date to filter by

  • fromDateTime
    Type: string | nullFormat: date

    The start date/time of the transaction date range

  • packagingDate
    Type: string | nullFormat: date

    The product packaging date to filter by

  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • productAttributeId
    Type: string | nullFormat: uuid

    The product attribute to filter by

  • productionDate
    Type: string | nullFormat: date

    The product production date to filter by

Responses
  • application/json
Request Example for post/v1/reports/product-transaction-detail
curl https://api.consignlyhq.com/v1/reports/product-transaction-detail \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "fromDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "toDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "types": [
    "enum (Adjustment = 1, Transfer = 2, Receive = 3, Hold = 4, Pick = 5, Dispatch = 6)"
  ],
  "warehouseId": null,
  "clientPartnerId": null,
  "partnerProductId": null,
  "receivedDate": "date (YYYY-MM-DD)",
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)",
  "productAttributeId": null,
  "attributeDescription": null
}'
[
  {
    "effectiveUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "createdUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
    "type": "enum (Adjustment = 1, Transfer = 2, Receive = 3, Hold = 4, Pick = 5, Dispatch = 6)",
    "holdKind": "enum (Consignment = 1, General = 2, QA = 3, Return = 4, Job = 5)",
    "warehouseCode": null,
    "warehouseName": null,
    "warehouseLocationName": null,
    "clientName": null,
    "productCode": null,
    "productName": null,
    "productGroupName": null,
    "unitTypeName": null,
    "logisticUnit": {
      "logisticUnitNumber": null,
      "ssccNumber": null,
      "referenceNumber": null
    },
    "particulars": null,
    "consignmentNumber": null,
    "referenceNumber": null,
    "receiversReference": null,
    "poNumber": null,
    "soNumber": null,
    "originAddressName": null,
    "destinationAddressName": null,
    "serial": null,
    "batch": null,
    "bestBeforeDate": "date (YYYY-MM-DD)",
    "expiryDate": "date (YYYY-MM-DD)",
    "packagingDate": "date (YYYY-MM-DD)",
    "productionDate": "date (YYYY-MM-DD)",
    "sellByDate": "date (YYYY-MM-DD)",
    "attributes": [
      {
        "name": null,
        "description": null
      }
    ],
    "quantity": 1,
    "weightKG": 1,
    "volumeM3": 1
  }
]